# Now test predictions
# https://clarkdatalabs.github.io/soms/SOM_NBA

test_list <- list(independent = test_mat, dependent = test_grey)

ransomware.prediction <- predict(som_model, newdata = test_list)
table(test_set$grey, ransomware.prediction$prediction[[2]])